
Foreman - Feature #1536

Foreman should check DHCP entries on build

03/16/2012 03:55 AM - David M.

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2135

  

Description

Foreman should always check if a DHCP-Entry for a host is still present if the host gets rebuild.

In my case Foreman did not add the DHCP-Entry for an old host which I wanted to rebuild. The original DHCP-Entry added initially

from Foreman was removed by deleting dhcpd.leases file.

What I expect:

Foreman should check if the host which is getting build has an entry in the DHCP with the entered settings (IP, MAC and so on). If it

doesnt, it should be added.

Related issues:

Related to Foreman - Feature #2799: Ability to repush DHCP settings Duplicate 07/17/2013

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

Has duplicate Foreman - Feature #3607: RFE : make sure a dhcp request exists ... Duplicate 11/08/2013

Has duplicate Foreman - Bug #7622: DHCP leases not created when rebuilding ho... Duplicate 09/24/2014

Associated revisions

Revision 87c6feb2 - 03/08/2015 04:41 AM - Baptiste AGASSE 

Fixes #1536 - Foreman should check DHCP entries on build.

History

#1 - 11/14/2013 02:34 PM - Dominic Cleal

- Has duplicate Feature #3607: RFE : make sure a dhcp request exists when a host is (re)built added

#2 - 11/14/2013 02:35 PM - Dominic Cleal

- Related to Feature #2799: Ability to repush DHCP settings added

#3 - 09/24/2014 08:07 AM - Dominic Cleal

- Has duplicate Bug #7622: DHCP leases not created when rebuilding hosts. added

#4 - 10/01/2014 07:29 AM - Ohad Levy

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#5 - 03/05/2015 03:47 AM - The Foreman Bot

- Description updated

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2135 added

#6 - 03/08/2015 04:44 AM - Marek Hulán
- translation missing: en.field_release set to 35

- Category set to DHCP

#7 - 03/08/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 87c6feb2227813507ae8a2911ef7f51475fa081a.
